Last Comment Bug 657364 - dom/tests/mochitest/dom-level2-html/files/document.html has an applet
: dom/tests/mochitest/dom-level2-html/files/document.html has an applet
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 08:21 PDT by Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
Modified: 2011-05-19 06:10 PDT (History)
3 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Put applet in a new file and use it in the single test that needs it (5.73 KB, patch)
2011-05-17 04:30 PDT, Rafael Ávila de Espíndola (:espindola) (not reading bugmail)
ehsan: review+
Details | Diff | Splinter Review

Description Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-05-16 08:21:22 PDT
dom/tests/mochitest/dom-level2-html/files/document.html has an APPLET, but is used in tests that have nothing to do with java APPLET.

That APPLET should probably be moved to the tests that need it.
Comment 1 :Ehsan Akhgari 2011-05-16 08:23:20 PDT
Or, even better, removed!
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2011-05-16 09:20:28 PDT
What problems is this causing in practice?
Comment 3 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-05-17 04:30:11 PDT
Created attachment 532921 [details] [diff] [review]
Put applet in a new file and use it in the single test that needs it
Comment 4 Rafael Ávila de Espíndola (:espindola) (not reading bugmail) 2011-05-17 04:33:17 PDT
The problem that it caused me in practice was making the tests less reliable. I was getting intermittent freezes while trying to reproduce a bug. After a while I realized the java plugin in my machine was broken :-(
Comment 5 Mounir Lamouri (:mounir) 2011-05-19 06:10:43 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/9624976851c0

Note You need to log in before you can comment on or make changes to this bug.